MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032168Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-25 13:482021-02-27 15:39
Reportermgn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032168: Visualization - Wrong computation of screen axis in V3d_View::SetTwist method
DescriptionIt is supposed to pass correct parameter into screenAxis function of V3d_View::SetTwist method:
...
if (!screenAxis (aReferencePlane, gp::DZ(), myXscreenAxis, myYscreenAxis, myZscreenAxis)
   && !screenAxis (aReferencePlane, gp::DY(), myXscreenAxis, myYscreenAxis, myZscreenAxis)
   && !screenAxis (aReferencePlane, gp::DZ(), myXscreenAxis, myYscreenAxis, myZscreenAxis))
...

it is neccessary to use gp::DX() instead of gp::DZ() in the last string
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029292closedbugmaster Coding Rules - remove Graphic3d_Vector duplicating gp_XYZ 

-  Notes
(0099148)
git (administrator)
2021-02-25 14:10

Branch CR32168 has been created by kgv.

SHA-1: 0bd36a7de2661c5f93a97e1742c68dadc9c5553b


Detailed log of new commits:

Author: kgv
Date: Thu Feb 25 14:10:18 2021 +0300

    0032168: Visualization - Wrong computation of screen axis in V3d_View::SetTwist method
    
    Fixed wrong axis check.
(0099149)
git (administrator)
2021-02-25 14:12

Branch CR32168 has been updated forcibly by kgv.

SHA-1: 517624f5ac4e640da64a3a8ca0092decb1130d24
(0099154)
kgv (developer)
2021-02-25 17:08

Patch is ready for review
- OCCT: branch CR32168.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32168-master-KGV/ [^]
(0099155)
osa (developer)
2021-02-25 18:37

The patch was reviewed without remarks
(0099203)
bugmaster (administrator)
2021-02-27 11:50

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099208)
git (administrator)
2021-02-27 12:26

Branch CR32168 has been deleted by inv.

SHA-1: 517624f5ac4e640da64a3a8ca0092decb1130d24
(0099223)
kgv (developer)
2021-02-27 15:39


- Related Changesets
occt: master 1507ccda
Timestamp: 2021-02-25 11:10:18
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032168: Visualization - Wrong computation of screen axis in V3d_View::SetTwist method

Fixed wrong axis check.
mod - src/V3d/V3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-25 13:48 mgn New Issue
2021-02-25 13:48 mgn Assigned To => mgn
2021-02-25 13:49 mgn Status new => assigned
2021-02-25 13:49 mgn Description Updated View Revisions
2021-02-25 14:08 kgv Relationship added child of 0029292
2021-02-25 14:08 kgv Product Version => 7.3.0
2021-02-25 14:10 git Note Added: 0099148
2021-02-25 14:12 git Note Added: 0099149
2021-02-25 17:08 kgv Note Added: 0099154
2021-02-25 17:08 kgv Assigned To mgn => osa
2021-02-25 17:08 kgv Status assigned => resolved
2021-02-25 18:37 osa Note Added: 0099155
2021-02-25 18:37 osa Assigned To osa => bugmaster
2021-02-25 18:37 osa Status resolved => reviewed
2021-02-27 11:50 bugmaster Note Added: 0099203
2021-02-27 11:50 bugmaster Status reviewed => tested
2021-02-27 11:55 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master 1507ccda
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099208
2021-02-27 15:39 kgv Note Added: 0099223


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker